Subject: bug#25061: consider adding %COMPAT to default gnutls priority string

From: Ted Zlatanov <[email-masked]>
Date: Tue, 19 Dec 2017 20:08:59 -0500

On Tue, 19 Dec 2017 22:00:34 +0000 Kaushal Modi <[email-masked]> wrote: 

KM> I couldn't test the fix on my local machine because I cannot recreate the
KM> problem there.

KM> So I was waiting for the emacs-26 branch build to finish on the Travis CI
KM> set up by Noam.. but the build itself failed:
KM> https://travis-ci.org/npostavs/emacs-travis/jobs/318857869

KM>   CC       lastfile.o
KM>   CCLD     temacs
KM> gnutls.o: In function `Fgnutls_available_p':
KM> gnutls.c:(.text+0x105d): undefined reference to `gnutls_ext_get_name'
KM> collect2: error: ld returned 1 exit status
KM> make[1]: *** [temacs] Error 1
KM> make[1]: Leaving directory `/tmp/emacs-emacs-26/src'
KM> make: *** [src] Error 2
KM> make: Leaving directory `/tmp/emacs-emacs-26'

I don't understand why. This function has been available since GnuTLS
was created, according to the docs. Do we know what GnuTLS version is used
in Travis CI?

Ted